import sanitizeHtml, { IOptions, IDefaults } from 'sanitize-html';
import _Vue from "vue";
declare module '@nuxt/types' {
    interface Context {
        $sanitize: Sanitizer;
    }
    interface NuxtAppOptions {
        $sanitize: Sanitizer;
    }
}
declare module 'vue/types/vue' {
    interface Vue {
        $sanitize: Sanitizer;
    }
}
declare module 'vue/types/options' {
    interface ComponentOptions<V extends _Vue> {
        sanitize?: Sanitizer;
    }
}
interface Options {
    name?: string;
}
export declare const FILTER_BASIC: IDefaults;
export declare const FILTER_INLINE: IOptions;
export declare const FILTER_NOTHING: IOptions;
export declare const FILTER_STRIP: IOptions;
export type Sanitizer = (dirty?: any, options?: IOptions) => string;
declare const VSanitize: {
    install(Vue: typeof _Vue, options?: Options): void;
    defaults: sanitizeHtml.IDefaults;
};
export default VSanitize;
